<?php
	$StrHWND_COT=$_SESSION['SYS_HW']."_COT";
	//-------------------------
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	if(strlen($StrCmd)==0){
		$StrCmd=V($_GET['TxtAc']);
		if($StrCmd=="X")$StrCmd="C";
	}	
	//-------------------------
	$StrNew=V($_POST['CboNew']);
	if(strlen($StrNew)==0)$StrNew="NO";
	$StrAlm=V($_POST['CboAlm']);
	$StrFec=V($_POST['TxtFec']);
	$StrCom=V($_POST['CboCom']);
	$StrSer=V($_POST['TxtSer']);
	$StrNum=V($_POST['TxtNum']);	
	$StrMon=V($_POST['CboMon']);
	if(strlen($StrMon)==0)$StrMon="SOLES";		
	$StrRuc=V($_POST['TxtRuc']);	
	$StrNPed=V($_POST['TxtNPed']);
	$StrContacto=V($_POST['TxtCon']);
	$StrN_INC=V($_POST['ChN_INC']);
	$StrN_AUTO=V($_POST['ChN_AUTO']);
	$StrCliente=V($_POST['TxtCliente']);
	$StrRuc=V($_POST['TxtRuc']);
	$StrIdCliente=V($_POST['TxtIdCliente']);
	if(strlen($StrIdCliente)==0)$StrIdCliente="0";
	$StrTotal=V($_POST['T_Importe']);
	//------------------------
	$StrPro_ID=V($_POST['Pro_TxtId']);
	$StrPro_PR=V($_POST['TxtPre']);
	$StrPro_CA=V($_POST['TxtCant']);	
	//------------------------
	if(strlen($StrFec)==0)$StrFec=date("d-m-y");	
	if(strlen($StrPro_ID)==0 || !is_numeric($StrPro_ID)) $StrPro_ID="0";
	if(strlen($StrPro_PR)==0 || !is_numeric($StrPro_PR)) $StrPro_PR="0";
	if(strlen($StrPro_CA)==0 || !is_numeric($StrPro_CA)) $StrPro_CA="0";
	if(strlen($StrN_INC)==0){
		$StrN_INC="0";
	}else{
		$StrN_INC="1";
	}
	//-----------------------
	if($StrN_AUTO=="1" || $StrCmd=="X"){
		$StrN_AUTO="1";
	}else{
		$StrN_AUTO="0";
	}
	//------------------------
	$StrCod=V($_POST['TxtCod']);
	$StrDes=V($_POST['TxtDes']);
	$StrMARCA=V($_POST['TxtMarca']);
	$StrPre=V($_POST['TxtPre']);
	$StrDscto=V($_POST['TxtDscto']);
	$StrCant=V($_POST['TxtCant']);
	$StrImp=V($_POST['TxtImp']);
	//-------------------------
	$StrTC=gs("valor","valores","dato='T_CAMBIO'");
	//-------------------------
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			$StrCmd="AR";
			$LStrPag=V($_GET['Pag']);
			if(!is_numeric($LStrPag)){
				$LStrPag="";
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")$LStrPag=0;
	if($StrCmd=="MUlt")$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$StrNew="NO";
		$Id=$StrId;
		$vv="vcotizaciones";
		$cc="ID=$Id";
		$StrAlm=gs("ALM",$vv,$cc);
		$StrFec=gs("DATE_FORMAT(FEC,'%d-%m-%y')",$vv,$cc);		
		$StrSer=gs("SER",$vv,$cc);
		$StrNum=gs("NUM",$vv,$cc);
		$StrMon=gs("MON",$vv,$cc);
		if($StrMon=="S") $StrMon="SOLES";
		if($StrMon=="D") $StrMon="DOLARES";
		$StrIdCliente=gn("IDCLI",$vv,$cc);
		$StrCliente=gs("CLI",$vv,$cc);
		$StrRuc=gs("RUC",$vv,$cc);
		$StrNPed=gs("NPED",$vv,$cc);
		$StrContacto=gs("CONT",$vv,$cc);
		$StrN_INC=gs("IIG",$vv,$cc);
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_COT'");
		$s="SELECT * FROM cotizaciones_det WHERE id_cotizacion=$Id ORDER BY cx";
		$cx=0;
		$result = grs($s);			
		while ($row = $result->fetch_row()){
			$cx++;
			$AR_ID=$row[2];
			$AR_CA=$row[3];
			$AR_PR=$row[4];
			$AR_IM=$row[5];
			$AR_DT=$row[6];
			$AR_CO=$row[7];
			$AR_DE=$row[8];			
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_COT',
			   $AR_ID,$AR_CA,$AR_PR,$AR_IM,$cx,
			   '$AR_CO','$AR_DE',$AR_DT)";
			ejt($s);
		}
	}
	//
	if($StrCmd=="C"){
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_COT'");
		$CLS="S";	
	}
	//
	if($StrCmd=="KILLER"){
		ejt("DELETE FROM temp_compras WHERE 
				temc_index=$StrPro_ID AND cod_temc='$StrHWND_COT'");
		$LStrFoc="document.getElementById('TxtCod').focus();";						
		$StrGT="S";	
		$StrVuelto="0.0";
		$StrPagarCon="0";
		$StrNew="NO";				
	}
	//
	if($StrCmd=="ADD"){	
		$StrVuelto="0.0";
		$StrPagarCon="0";	
		if(strlen($StrDscto)==0)$StrDscto="0";
		if(!is_numeric($StrDscto))$StrDscto="0";
		if($StrNew=="NO"){
			if($StrPro_ID==0){
				$LStrMsg="No se puede determinar el ID del producto";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";			
			}
		}else{
			if(strlen($StrCod)>0){
				$T_ID=gn("ID","vproductos","COD='$StrCod'");
				if($T_ID>0){
					$LStrMsg="El codigo del producto ya existe por lo tanto ".
							 "no se puede proceder con esta modalidad *Es nuevo*";
					$LStrFoc="document.getElementById('TxtCod').focus();";						
					$StrGT="S";								
				}else{
					$StrPro_CA=$StrCant;
					$StrPro_ID="0";
				}
			}
		}
		if(strlen($StrGT)==0){
			if($StrPro_CA==0){
				$LStrMsg="La cantidad debe ser mayor a cero";
				$LStrFoc="document.getElementById('TxtCant').focus();";						
				$StrGT="S";							
			}
		}
		if(strlen($StrGT)==0){
			if(gn("count(*)","temp_compras",
				  "temc_id_producto=$StrPro_ID AND cod_temc='$StrHWND_COT'")>0){
				$LStrMsg="El producto que desea agregar ya se encuentra en la lista";
				$LStrFoc="document.getElementById('TxtCod').focus();";						
				$StrGT="S";	
			}
		}
		if(strlen($StrGT)==0){
			$StrImporte=round($StrPro_CA * ($StrPro_PR -$StrDscto),2);
			$StrIndex=GenId("temc_index","temp_compras");
			$s="INSERT INTO temp_compras VALUES ('$StrHWND_COT',
				$StrPro_ID,$StrPro_CA,$StrPro_PR,
				$StrImporte,$StrIndex,'$StrCod','$StrDes',$StrDscto)";			
			ejt($s);
			$StrCant="";
			$StrPre="";
			$StrDes="";
			$StrMARCA="";
			$StrCod="";
			$StrImp="";
			$StrDscto="";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";	
			$StrNew="NO";
		}
	}
	//
	if(($StrCmd=="G" || $StrCmd=="M") && strlen($StrGT)==0){			
		$StrAlm_=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
		$StrCom_=gn("id_comprobante","comprobantes","com_nombre='$StrCom'");
		$StrMon_=substr($StrMon,0,1);		
		if(gn("count(*)","temp_compras","cod_temc='$StrHWND_COT'")==0){
			$LStrMsg="La lista de productos esta vacia";
			$LStrFoc="document.getElementById('TxtCod').focus();";						
			$StrGT="S";
		}
	}
	//
	if($StrCmd=="ENV_PDF"){
		$_ID=$StrId;
		$_EMA=gs("EMA","vcotizaciones","ID=$_ID");
		if(strlen($_EMA)==0){
			$LStrMsg="El presente cliente no tiene un email registrado";
			$LStrFoc="document.getElementById('TxtCliente').focus();";						
			$StrGT="S";
		}
		if(strlen($StrGT)==0){
			$_PDF=PDF_COTI($_ID);
			$StrTit="Inreva Cotizaciones";
			$StrAsunto="Cotizacion";
			$StrCliente=gs("CLI","vcotizaciones","ID=$_ID");
			$StrEmail=$_EMA;
			$StrTexto="Saludos, aqui le hacemos presente nuestra cotizacion";
			$StrF1=$_PDF;
			$StrF2="";
			EnviarEmail($StrTit,$StrAsunto,$StrCliente,$StrEmail,$StrTexto,$StrF1,$StrF2);
			$LStrMsg="El email ha sido enviado a $StrEmail";
			$LStrFoc="document.getElementById('TxtCliente').focus();";						
			$StrGT="S";
		}
	}
	//
	if($StrCmd=="E"){
		ejt("DELETE FROM cotizaciones WHERE id_cotizacion=$StrId");
		ejt("DELETE FROM cotizaciones_det WHERE id_cotizacion=$StrId");
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_COT'");
		$LStrMsg="Los datos han sido eliminados";
		$LStrFoc="document.getElementById('CboAlm').focus();";						
		$StrGT="S";
		$CLS="S";	
	}	
	//
	if($StrCmd=="A"){
		$StrAlm_=gn("id_alm","ventas","id_venta=$StrId");
		ejt("UPDATE cotizaciones SET anu='S' WHERE id_cotizacion=$StrId");
		ejt("DELETE FROM temp_compras WHERE cod_temc='$StrHWND_COT'");
		$LStrMsg="La cotizacion ha sido anulada";
		$LStrFoc="document.getElementById('CboAlm').focus();";						
		$StrGT="S";
		$CLS="S";	
	}	
	
?>